#
# spec file for package python-radix
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-radix
Version:        0.5
Release:        3.2
Url:            http://www.mindrot.org/py-radix.html
Summary:        Radix tree implementation
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         py-radix-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
%if 0%{?suse_version}
%py_requires
%endif
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%description
py-radix is an implementation of a radix tree data structure for the storage 
and retrieval of IPv4 and IPv6 network prefixes.

The radix tree is the data structure most commonly used for routing table 
lookups. It efficiently stores network prefixes of varying lengths and 
allows fast lookups of containing networks.

%prep
%setup -q -n py-radix-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README TODO ChangeLog
%{python_sitearch}/*

%changelog
* Thu Sep 22 2011 saschpe@suse.de
- Added a spec file license header
- Removed stuff under %%changelog and the %%clean section
* Tue Aug 26 2008 poeml@suse.de
- fix package name (py-radix -> python-radix)
* Tue Aug 26 2008 poeml@suse.de
- initial package (version 0.5)
